/*
 setup.c : configuration for sample plugin

    Copyright (C) 1999 Timo Sirainen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <irssi-plugin.h>
#include "sample.h"

static gchar *sampletext;

SETUP_REC plugin_sample_options[] =
{
    { SETUP_TYPE_ENTRY, &sampletext, "sampletext", "Hello, sample!" },

    { 0, NULL, NULL }
};

void plugin_sample_setup_read(PLUGIN_DATA *data)
{
    data->sampletext = g_strdup(sampletext);
}

void plugin_sample_setup_init(PLUGIN_REC *plugin)
{
    PLUGIN_DATA *data = plugin->data;

    setup_read("plugin_"PLUGIN_NAME, plugin_sample_options);
    plugin_sample_setup_read(data);
}

void plugin_sample_setup_deinit(PLUGIN_REC *plugin)
{
    setup_free(plugin_sample_options);
}
