#ifndef __UI_WINDOWS_H
#define __UI_WINDOWS_H

#define CHANNEL_PARENT(a) ((WINDOW_REC *) (a)->ui_data)

typedef struct
{
    GList *channels;
    CHANNEL_REC *active;

    GSList *waiting_channels; /* list of "<server tag> <channel>" */

    gint lines;
    gboolean destroying;

    /* window-specific command line history */
    GList *cmdhist, *histpos;
    gint histlines;

    gint new_data;
    time_t last_timestamp; /* When was last timestamp printed */

    gpointer gui_data;
}
WINDOW_REC;

extern GList *windows;

WINDOW_REC *ui_window_create(CHANNEL_REC *channel, gboolean automatic);
void ui_window_destroy(WINDOW_REC *window);

void ui_windows_init(void);
void ui_windows_deinit(void);

#endif
