#ifndef __BOT_BOTNET_H
#define __BOT_BOTNET_H

#define DEFAULT_BOTNET_PORT 2255

typedef struct _botnet_rec BOTNET_REC;

typedef struct
{
    BOTNET_REC *botnet;
    gboolean uplink; /* this is our uplink */
    gboolean connected; /* bot is in this botnet now */

    gchar *host; /* to connect to this bot, use this host (NULL = don't connect) */
    gint port; /* .. and this port, (<=0 = don't connect) */

    GString *buffer;
    GString *output;
    gboolean disconnect; /* disconnecting from this bot.. */

    gchar *nick; /* bot's unique nick in botnet */
    gchar *password;
    gint handle;
    gint read_tag;

    GList *valid_ips; /* Valid IP addresses for this bot */
    time_t last_connect; /* last time we tried to connect here */
}
BOT_REC;

struct _botnet_rec
{
    gchar *name; /* botnet name */
    gchar *nick; /* our nick in botnet */

    gchar *addr; /* in what address we should listen */
    gint port; /* what port we should listen */

    gint listen_handle; /* our own listener */
    gint listen_tag;

    BOT_REC *link; /* currently connected bot */
    GList *bots;
};

void plugin_bot_botnet_init(PLUGIN_REC *plugin);
void plugin_bot_botnet_deinit(PLUGIN_REC *plugin);

gboolean botnet_connect(gchar *data);

BOTNET_REC *botnet_find(gchar *name);
BOT_REC *botnet_find_ip(BOTNET_REC *botnet, IPADDR *ip);
BOT_REC *botnet_find_nick(BOTNET_REC *botnet, gchar *nick);

void botnet_broadcast(BOTNET_REC *botnet, BOT_REC *bot, gchar *data, gint len);

#endif
